Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.shrinkwrap.descriptor.impl.ejbjar31
Class AroundInvokeTypeImpl<T>

    java.lang.Object
      org.jboss.shrinkwrap.descriptor.impl.ejbjar31.AroundInvokeTypeImpl<T>

All Implemented Interfaces:
  org.jboss.shrinkwrap.descriptor.api.Child<T>, AroundInvokeType<T>

    public class AroundInvokeTypeImpl<T>

extends java.lang.Object
implements org.jboss.shrinkwrap.descriptor.api.Child<T>, AroundInvokeType<T>

This class implements the `around-invokeType` xsd type

Original Documentation:

The around-invoke type specifies a method on a
class to be called during the around invoke portion of an
ejb invocation. Note that each class may have only one
around invoke method and that the method may not be
overloaded.
If the class element is missing then
the class defining the callback is assumed to be the
interceptor class or component class in scope at the
location in the descriptor in which the around invoke
definition appears.

Since:
  Generation date :2011-07-19T22:55:02.759+02:00
Author:
  Ralf Battenfeld

Constructor Summary
`AroundInvokeTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node)`
`AroundInvokeTypeImpl(T t, java.lang.String nodeName, org.jboss.shrinkwrap.descriptor.spi.Node node, org.jboss.shrinkwrap.descriptor.spi.Node childNode)`

Method Summary
`java.lang.String` | `getClazz()` Returns the `class` element
`java.lang.String` | `getMethodName()` Returns the `method-name` element
`AroundInvokeType<T>` | `removeClazz()` Removes the `class` element
`AroundInvokeType<T>` | `removeMethodName()` Removes the `method-name` element
`AroundInvokeType<T>` | `setClazz(java.lang.String clazz)` If not already created, a new `class` element with the given value will be created.
`AroundInvokeType<T>` | `setMethodName(java.lang.String methodName)` If not already created, a new `method-name` element with the given value will be created.
`T` | `up()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AroundInvokeTypeImpl

    public AroundInvokeTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node)

### AroundInvokeTypeImpl

    public AroundInvokeTypeImpl(T t,
                                java.lang.String nodeName,
                                org.jboss.shrinkwrap.descriptor.spi.Node node,
                                org.jboss.shrinkwrap.descriptor.spi.Node childNode)

Method Detail

### up

    public T up()

  Specified by:
    `up` in interface `org.jboss.shrinkwrap.descriptor.api.Child<T>`

### setClazz

    public AroundInvokeType<T> setClazz(java.lang.String clazz)

  If not already created, a new `class` element with the given value will be created. Otherwise, the existing `class` element will be updated with the given value.

  Specified by:
    `setClazz` in interface `AroundInvokeType<T>`
  Returns:
    the current instance of `AroundInvokeType`

### removeClazz

    public AroundInvokeType<T> removeClazz()

  Removes the `class` element

  Specified by:
    `removeClazz` in interface `AroundInvokeType<T>`
  Returns:
    the current instance of `AroundInvokeType`

### getClazz

    public java.lang.String getClazz()

  Returns the `class` element

  Specified by:
    `getClazz` in interface `AroundInvokeType<T>`
  Returns:
    the node defined for the element `class`

### setMethodName

    public AroundInvokeType<T> setMethodName(java.lang.String methodName)

  If not already created, a new `method-name` element with the given value will be created. Otherwise, the existing `method-name` element will be updated with the given value.

  Specified by:
    `setMethodName` in interface `AroundInvokeType<T>`
  Returns:
    the current instance of `AroundInvokeType`

### removeMethodName

    public AroundInvokeType<T> removeMethodName()

  Removes the `method-name` element

  Specified by:
    `removeMethodName` in interface `AroundInvokeType<T>`
  Returns:
    the current instance of `AroundInvokeType`

### getMethodName

    public java.lang.String getMethodName()

  Returns the `method-name` element

  Specified by:
    `getMethodName` in interface `AroundInvokeType<T>`
  Returns:
    the node defined for the element `method-name`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD